from Products.CMFCore.utils import getToolByName
from Products.CMFFormController.FormAction import FormActionKey
from Products.Archetypes.Extensions.utils import installTypes
from Products.Archetypes.Extensions.utils import install_subskin
from Products.Archetypes.public import listTypes

from StringIO import StringIO

from Products.CMFDynamicViewFTI.migrate import migrateFTIs

from Products.CMFCore.WorkflowTool import *

from Products.EditableDescription.config import *
from Products.EditableDescription.Extensions.editabledescription_workflow import *

def install(self):
    out = StringIO()

    installTypes(self, out,
                 listTypes(PROJECTNAME),
                 PROJECTNAME)

    install_subskin(self, out, GLOBALS)
    
    # Migrate FTI, to make sure we get the necessary infrastructure for the
    # 'display' menu to work.
    migrated = migrateFTIs(self, product=PROJECTNAME)
    print >>out, "Switched to DynamicViewFTI: %s" % ', '.join(migrated)

    # Enable portal_factory
    factory = getToolByName(self, 'portal_factory')
    types = factory.getFactoryTypes().keys()
    if 'EditableDescription' not in types:
        types.append('EditableDescription')
        factory.manage_setPortalFactoryTypes(listOfTypeIds = types)

    print >> out, "Added EditableDescription to portal_factory"

    # Add to default_page_types
    propsTool = getToolByName(self, 'portal_properties')
    siteProperties = getattr(propsTool, 'site_properties')
    defaultPageTypes = list(siteProperties.getProperty('default_page_types'))
    if 'EditableDescription' not in defaultPageTypes:
        defaultPageTypes.append('EditableDescription')
    siteProperties.manage_changeProperties(default_page_types = defaultPageTypes)

    # Setup the custom workflow


        # Get our workflow and install it


        # The PloneHelpCenter does this, because it modifies the
        # dumped file to put the installation-initiating code inside
        # a method called install(). By default, it is called
        # automatically as soon as the workflow module is imported.



        # Register the workflow with the tool
    wf_tool = getToolByName(self, 'portal_workflow')
    wf_id = 'editabledescription_workflow'
    wf_label = 'editabledescription_workflow (Editable Description Workflow)'

    try :
        wf_tool.manage_addWorkflow(id='editabledescription_workflow',
                                   workflow_type='dc_workflow (Web-configurable workflow)')
        # Do this after installing all workflows   
        wf_tool.updateRoleMappings()

        # Now tell our custom type EditableDescription to use this workflow
        wf_tool.setChainForPortalTypes(['EditableDescription'], 'editabledescription_workflow')

    except (), e:
        self.log("Workflow '%s' %s." % (str(id), e))
        
    setup_editabledescription_workflow(wf_tool.editabledescription_workflow)    
   
    print >> out, "Successfully installed"

    return out.getvalue()