#
# Generated by dumpDCWorkflow.py written by Sebastien Bigaret
# Original workflow id/title: editabledescription_workflow/EditableDescription Workflow
# Date: 2008/08/27 13:20:14.796 GMT-4
#
# WARNING: this dumps does NOT contain any scripts you might have added to
# the workflow, IT IS YOUR RESPONSABILITY TO MAKE BACKUPS FOR THESE SCRIPTS.
#
# No script detected in this workflow
#
"""
Programmatically create a workflow type.
"""
__version__ = "$Id: dumpDCWorkflow.py 25723 2006-07-04 08:41:22Z b_mathieu $"

from Products.CMFCore.WorkflowTool import addWorkflowFactory
from Products.DCWorkflow.DCWorkflow import DCWorkflowDefinition
from Products.PythonScripts.PythonScript import PythonScript
from Products.ExternalMethod.ExternalMethod import ExternalMethod

def setup_editabledescription_workflow(wf):
    """Setup the workflow
    """
    wf.setProperties(title='EditableDescription Workflow')

    for s in ('edited', 'visible'):
        wf.states.addState(s)
    for t in ('change',):
        wf.transitions.addTransition(t)
    for v in ('action', 'actor', 'comments', 'review_history', 'time'):
        wf.variables.addVariable(v)
    for l in ():
        wf.worklists.addWorklist(l)
    for p in ('Access contents information',
              'Modify portal content',
              'View',
              'Change portal events',
              'EditableDescription: Add EditableDescription',
              'EditableDescription: Edit Description Only for EditableDescription',
              'EditableDescription: Edit EditableDescription',
              'EditableDescription: View EditableDescription'):
        wf.addManagedPermission(p)

    # Initial State
    wf.states.setInitialState('visible')

    # State Initialization
    sdef = wf.states['edited']
    sdef.setProperties(title='Edited by Community',
                       description='',
                       transitions=())
    sdef.setPermission('Access contents information', 1,
                       ['Anonymous', 'Manager'])
    sdef.setPermission('Modify portal content', 0,
                       ['Manager'])
    sdef.setPermission('View', 1,
                       ['Anonymous', 'Manager'])
    sdef.setPermission('Change portal events', 0,
                       ['Manager'])
    sdef.setPermission('EditableDescription: Add EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: Edit Description Only for EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: Edit EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: View EditableDescription', 1,
                       [])

    sdef = wf.states['visible']
    sdef.setProperties(title='Public',
                       description='',
                       transitions=('change',))
    sdef.setPermission('Access contents information', 1,
                       ['Anonymous', 'Manager', 'Reviewer'])
    sdef.setPermission('Modify portal content', 0,
                       ['Manager', 'Member', 'Owner'])
    sdef.setPermission('View', 1,
                       ['Anonymous', 'Manager', 'Reviewer'])
    sdef.setPermission('Change portal events', 0,
                       ['Manager', 'Owner'])
    sdef.setPermission('EditableDescription: Add EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: Edit Description Only for EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: Edit EditableDescription', 1,
                       [])
    sdef.setPermission('EditableDescription: View EditableDescription', 1,
                       [])

    # Transition Initialization
    tdef = wf.transitions['change']
    tdef.setProperties(title='Member changes content',
                       description='',
                       new_state_id='edited',
                       trigger_type=1,
                       script_name='',
                       after_script_name='',
                       actbox_name='Make changed',
                       actbox_url='%(content_url)s/content_show_form',
                       actbox_category='workflow',
                       props={'guard_roles': 'Owner'},
                       )

    # State Variable
    wf.variables.setStateVar('review_state')

    # Variable Initialization
    vdef = wf.variables['action']
    vdef.setProperties(description='The last transition',
                       default_value='',
                       default_expr='transition/getId|nothing',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['actor']
    vdef.setProperties(description='The ID of the user who performed the last transition',
                       default_value='',
                       default_expr='user/getId',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['comments']
    vdef.setProperties(description='Comments about the last transition',
                       default_value='',
                       default_expr="python:state_change.kwargs.get('comment', '')",
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    vdef = wf.variables['review_history']
    vdef.setProperties(description='Provides access to workflow history',
                       default_value='',
                       default_expr='state_change/getHistory',
                       for_catalog=0,
                       for_status=0,
                       update_always=0,
                       props={'guard_permissions': 'Request review; Review portal content'})

    vdef = wf.variables['time']
    vdef.setProperties(description='Time of the last transition',
                       default_value='',
                       default_expr='state_change/getDateTime',
                       for_catalog=0,
                       for_status=1,
                       update_always=1,
                       props=None)

    # Worklist Initialization
def create_editabledescription_workflow(id):
    """Create, setup and return the workflow.
    """
    ob = DCWorkflowDefinition(id)
    setup_editabledescription_workflow(ob)
    return ob

addWorkflowFactory(create_editabledescription_workflow,
                   id='editabledescription_workflow',
                   title='EditableDescription Workflow')
