## Script (Python) "changeNavProperties"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=
# This python script modify navShow and navOrder properties for all object contained inside
# root_path object. If the property does not exist, it is created.

from Products.CMFCore.utils import getToolByName

request = context.REQUEST
root_path = request.get('root_path', '')
root_obj = context.restrictedTraverse(root_path)

navtool = getToolByName(context, 'portal_plone_navigation')
root_is_orderable = navtool.isOrderable(root_obj)

available_objects = navtool.getAvailableObjects()

for id in root_obj.objectIds(available_objects):
    obj = getattr(root_obj, id)

# ***************************************
# Check for navShow property
# ***************************************    

    # if this object has been checked
    if request.has_key(id):
        if obj.hasProperty('navShow'):
            obj.manage_changeProperties(navShow=1)
            
        else:
            obj.manage_addProperty('navShow','1','boolean')

    # if this object hasn't been checked, or has been unchecked      
    else:
        if obj.hasProperty('navShow') and obj.getProperty('navShow'):
            obj.manage_changeProperties(navShow=0)
        

# ***************************************
# Check for navOrder property
# ***************************************
    
    # if an order has been specified for this object
    request_order = request[id + '_order']

    if len(request_order):
        order = int(request_order)
        if root_is_orderable:
            root_obj.moveObject(id, order)
        else:
            if obj.hasProperty('navOrder'):
                obj.manage_changeProperties(navOrder=order)
            else:
                obj.manage_addProperty('navOrder',order,'int')

# Create a new query_string.
message = 'portal_status_message=Your%20changes%20has%20been%20saved'

if request.has_key('root_path'):
    query_string = '?root_path=%s&%s' % (request['root_path'], message)
else:
    query_string = '?' + message
     
request.RESPONSE.redirect(context.prefs_manage_navigation.absolute_url() +  query_string)
return
